Method: customBiddingAlgorithms.list

列出目前使用者可存取且可用於出價策略的自訂出價演算法。

順序是由 orderBy 參數定義。

HTTP 要求

GET https://displayvideo.googleapis.com/v4/customBiddingAlgorithms

這個網址使用 gRPC 轉碼語法。

查詢參數

參數
pageSize

integer

要求的頁面大小。必須介於 1 至 200 之間。如未指定,則會預設為 100。如果指定的值無效,則傳回錯誤代碼 INVALID_ARGUMENT。

pageToken

string

伺服器應傳回的結果頁面 ID 符記。通常這是先前呼叫 customBiddingAlgorithms.list 方法時傳回的 nextPageToken 值。如未指定,系統會傳回第一頁的結果。

orderBy

string

用於排序清單的欄位。可接受的值如下:

  • displayName (預設)

預設排序順序為遞增。如要指定欄位的遞減順序,請在欄位名稱中加入「desc」後置字串。範例:displayName desc。

filter

string

可依自訂出價演算法欄位篩選。

支援的語法:

  • 篩選運算式由一或多項限制組成。
  • 限制可以透過 AND 組合。限制序列會隱含使用 AND。
  • 限制的格式為 {field} {operator} {value}。
  • customBiddingAlgorithmType 欄位必須使用 EQUALS (=) 運算子。
  • displayName 欄位必須使用 HAS (:) 運算子。

支援的欄位:

  • customBiddingAlgorithmType
  • displayName

範例:

  • 顯示名稱含有「政治」的所有自訂出價演算法:displayName:"politics"。
  • 類型為「SCRIPT_BASED」的所有自訂出價演算法:customBiddingAlgorithmType=SCRIPT_BASED

這個欄位的長度不得超過 500 個半形字元。

詳情請參閱篩選器 LIST 要求指南。

必填。指出要求是在哪個 DV360 實體中提出。LIST 要求只會傳回 accessor 中識別的 DV360 實體可存取的自訂出價演算法實體。如要執行 LIST 要求,使用者必須具備 accessor 實體的權限。以下列出互斥欄位。回應中最多會設定一個欄位:
partnerId

string (int64 format)

有權存取自訂出價演算法的 DV360 合作夥伴 ID。

advertiserId

string (int64 format)

有權存取自訂出價演算法的 DV360 廣告主 ID。

互斥欄位的結尾。

要求主體

要求主體必須為空白。

回應主體

如果成功,回應主體即會包含具有以下結構的資料:

JSON 表示法
{
  "customBiddingAlgorithms": [
    {
      object (CustomBiddingAlgorithm)
    }
  ],
  "nextPageToken": string
}
欄位
customBiddingAlgorithms[]

object (CustomBiddingAlgorithm)

自訂出價演算法清單。

如果清單為空,則不會顯示。

nextPageToken

string

用於擷取下一頁結果的權杖。在後續呼叫 ListCustomBiddingAlgorithmsRequest 方法時,將這個值傳遞至 pageToken 欄位,即可擷取下一頁結果。如果這個欄位為空值,表示這是最後一頁。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/display-video

詳情請參閱OAuth 2.0 Overview。